/* platform.h,v 1.1.1.1 2004/07/22 22:44:50 x86man Exp */

#ifndef __PLATFORMS__
#define __PLATFORMS__

#ifdef OS_ULTRIX
#ifdef HAVE_LIBPTHREAD
#include <pthread.h>
#endif
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <sys/stat.h>
#include <signal.h>
#include <assert.h>
#include <errno.h>
#include <fcntl.h>
#include <time.h>
#include <syslog.h>

#ifdef HAVE_LIBPTHREAD
#include <pthread.h>
#endif


#if defined(OS_LINUX)

#include <sys/socket.h>
#include <resolv.h>
#include <unistd.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#define yield(); ;

#define OSNAME	"GNU/Linux"

#elif defined(OS_NETBSD)

#include <sys/socket.h>
#include <unistd.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#define yield(); ;

#define OSNAME	"NetBSD"

#elif defined(OS_FREEBSD)

#include <sys/socket.h>
#include <unistd.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#define yield(); ;

#define OSNAME	"FreeBSD"

#elif defined(OS_OPENBSD)

#include <sys/socket.h>
#include <unistd.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#define yield(); ;

#define OSNAME	"OpenBSD"

#elif defined(OS_400)

#include <unistd.h>
#include <strings.h>
#include <sys/socket.h>
#include <resolv.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#define OSNAME	"IBM OS/400"

#elif defined(OS_SOLARIS)

#include <unistd.h>
#include <strings.h>
#include <sys/socket.h>
#include <resolv.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#define OSNAME	"Sun Solaris"

#elif defined(OS_SUNOS4)

#include <unistd.h>
#include <strings.h>
#include <sys/socket.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <sys/time.h>

#define inet_ntop(AF,SRC,DST,CNT) \
    ((AF) == AF_INET \
     ? ((CNT) < 16 \
        ? (SOCKET_SET_ERRNO(ENOSPC), (char *) NULL) \
        : (sprintf((DST), "%d.%d.%d.%d", \
                   ((const unsigned char *)(const void *)(SRC))[0] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[1] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[2] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[3] & 0xff),\
           (DST))) \
     : (SOCKET_SET_ERRNO(EAFNOSUPPORT), (char *) NULL))

#define yield(); ;

#define OSNAME	"SunSoft SunOS"

#elif defined(OS_AIX)

#include <unistd.h>
#include <sys/socket.h>
#include <resolv.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <strings.h>
#include <sys/malloc.h>

#define OSNAME	"IBM AIX"

#elif defined(OS_IRIX)

#include <unistd.h>
#include <bstring.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#define yield(); ;

#define OSNAME	"SGI IRIX"

#elif defined(OS_HPUX)

#include <sys/socket.h>
#include <resolv.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <string.h>
#include <strings.h>

#define yield(); ;

#define inet_ntop(AF,SRC,DST,CNT) \
    ((AF) == AF_INET \
     ? ((CNT) < 16 \
        ? (SOCKET_SET_ERRNO(ENOSPC), (char *) NULL) \
        : (sprintf((DST), "%d.%d.%d.%d", \
                   ((const unsigned char *)(const void *)(SRC))[0] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[1] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[2] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[3] & 0xff),\
           (DST))) \
     : (SOCKET_SET_ERRNO(EAFNOSUPPORT), (char *) NULL))

#define OSNAME	"HP/UX"

#elif defined(OS_OSX)

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <unistd.h>

#define yield(); ;

#define OSNAME	"Apple Mac OSX (Darwin)"

#elif defined(OS_ULTRIX)

#include <unistd.h>
#include <strings.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/time.h>
#include <netdb.h>

#define yield(); ;

#define inet_ntop(AF,SRC,DST,CNT) \
    ((AF) == AF_INET \
     ? ((CNT) < 16 \
        ? (SOCKET_SET_ERRNO(ENOSPC), (char *) NULL) \
        : (sprintf((DST), "%d.%d.%d.%d", \
                   ((const unsigned char *)(const void *)(SRC))[0] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[1] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[2] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[3] & 0xff),\
           (DST))) \
     : (SOCKET_SET_ERRNO(EAFNOSUPPORT), (char *) NULL))

extern char * strdup(const char *str);

#define OSNAME	"DEC Ultrix"

#elif defined(OS_OSF1)

#include <unistd.h>
#include <strings.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/time.h>
#include <netdb.h>

#define inet_ntop(AF,SRC,DST,CNT) \
    ((AF) == AF_INET \
     ? ((CNT) < 16 \
        ? (SOCKET_SET_ERRNO(ENOSPC), (char *) NULL) \
        : (sprintf((DST), "%d.%d.%d.%d", \
                   ((const unsigned char *)(const void *)(SRC))[0] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[1] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[2] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[3] & 0xff),\
           (DST))) \
     : (SOCKET_SET_ERRNO(EAFNOSUPPORT), (char *) NULL))

#define yield(); ;

#define OSNAME	"DEC OSF1/Tru64"

#elif defined(OS_NEXTSTEP)

#include <libc.h>
#include <unistd.h>
#include <strings.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/time.h>
#include <netdb.h>

#define inet_ntop(AF,SRC,DST,CNT) \
    ((AF) == AF_INET \
     ? ((CNT) < 16 \
        ? (SOCKET_SET_ERRNO(ENOSPC), (char *) NULL) \
        : (sprintf((DST), "%d.%d.%d.%d", \
                   ((const unsigned char *)(const void *)(SRC))[0] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[1] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[2] & 0xff, \
                   ((const unsigned char *)(const void *)(SRC))[3] & 0xff),\
           (DST))) \
     : (SOCKET_SET_ERRNO(EAFNOSUPPORT), (char *) NULL))

#define yield(); ;

#define OSNAME	"NextStep"

#endif

#ifdef HAVE_LIBSQLITE
#include "sqlite.h"
#endif

#ifdef HAVE_LIBMYSQLCLIENT
#include <mysql/mysql.h>
#endif

#include "common.h"

#endif
