/* structs.h,v 1.1.1.1 2004/07/22 22:44:50 x86man Exp */

#ifndef __FLOWTYPES__
#define __FLOWTYPES__

#define IPSTRSIZE 	16
#define TIMESTRSIZE 	64
#define STDBUFSIZE	16384
#define STDSTRSIZE	2048
#define COPYBUFSIZE	131072

typedef struct NetFlowHeader
{
	unsigned short version;
	unsigned short count;
	unsigned long uptime;
	unsigned long unixseconds;
	unsigned long unixnanoseconds;
	unsigned long sequence;
	unsigned char EngineType; 
	unsigned char EngineId; 
	unsigned short SampleRate;
} NetFlowHeader;

typedef struct NetFlowEntry
{
	unsigned long s_ip;
	unsigned long d_ip;
	unsigned long next_hop;
	unsigned short inIfIndex;
	unsigned short outIfIndex;
	unsigned long packets;
	unsigned long bytes;
	unsigned long time_start;
	unsigned long time_stop;
	unsigned short src_port;
	unsigned short dst_port;
	unsigned char pad;
	unsigned char tcp_flags;
	unsigned char ip_protocol;
	unsigned char tos;
	unsigned short src_as;
	unsigned short dst_as;
	unsigned char src_netmask;
	unsigned char dst_netmask;
	unsigned short padding;
} NetFlowEntry;


typedef struct FlowItem
{
	unsigned long	origin_ip;
	time_t 		time_received;
	unsigned char	version;
	unsigned long	sequence;
	unsigned long 	src_ip;
	unsigned short	src_port;
	unsigned long 	dst_ip;
	unsigned short	dst_port;
	unsigned long 	next_hop;
	unsigned char	protocol;
	unsigned char	tcp_flags;
	unsigned char	tos;
	unsigned long	bytes;
	unsigned long 	packets;
	time_t		flow_begin;
	time_t		flow_end;
	unsigned short	src_as;
	unsigned short	dst_as;
	unsigned char	src_mask;
	unsigned char 	dst_mask;
	
} FlowItem;

#endif
