####################################################
# Common settings, uncomment platform specific ones
####################################################
CC=gcc 
CXX=gcc 
PKG=native 
####################################################
# Uncomment these definitions if you want  
# multithreaded version 
# N.B. Actually don't work on Ultrix/VAX, NetBSD, 
# and Nextstep platforms
####################################################
THREADS=-DENABLE_PTHREADS
THREADLIB=-lpthread

####################################################
# Uncomment these if you want to use SQLITE
# N.B. SQLITE actually don't work on Nextstep 
# platforms (tested on Nextstep/SPARC)
# N.B. SQLITE is REQUIRED to build XStreams
####################################################
SQLITE=-DENABLE_SQLITE
SQLITELIB=-lsqlite

####################################################
# Uncomment these if you want to use MYSQL
# N.B. MySQL logging does not work on Ultrix(VAX and
# MIPS) and Nextstep platforms
# Adjiust your MYSQL Library path and have a look
# to README.MYSQL 
####################################################
#MYSQLPATH=/usr/local/mysql3
#MYSQL=-DENABLE_MYSQL -I$(MYSQLPATH)/include
#MYSQL_STATIC_LIB=libmysqlclient.a
#MYSQL_LIB_PATH=$(MYSQLPATH)/lib/mysql
#MYSQLLIB=-L$(MYSQL_LIB_PATH) $(MYSQL_LIB_PATH)/$(MYSQL_STATIC_LIB) -lz -lm

#########################################################
# Debugging/Optimizing section
# If you want to DEBUG this program, disable all OPTIMIZE
# clauses and enable the DEBUG ones you prefer
#########################################################
# Choose one of these levels of debugging
#OPTDBG=-DMEMWATCH
#OPTDBG=
# For debugging
# LOW DEBUG
# DEBUG=-DDEBUG -g $(OPTDBG)
# HIGH DEBUG
DEBUG=-g -DDEBUG -DVERBOSEDEBUG $(OPTDBG)
# PARANOID DEBUG
# DEBUG=-g -DDEBUG -DVERBOSEDEBUG -DPARANOIDDEBUG $(OPTDBG)
# TRACING DEBUG
# DEBUG=-g -DDEBUG -DVERBOSEDEBUG -DPARANOIDDEBUG -DFUNCTRACE $(OPTDBG)

#########################################################
# Comment previous DEBUG directives and choose 
# these if you want to optimize
#########################################################
#DEBUG=
OPTIMIZE=-O3

#########################################################
# Add extra libraries and includes here if needed
#########################################################
LIBS=
#######################################
# You DON't not need to touch that ones
#######################################
PKGINCL=-I../include
#STRIP=strip
STRIP=true
#########################################################
# Uncomment the blank one to have shared library version
# Uncomment the defined one to have a statically linked
# binary
#########################################################
#STATICLINK=
#STATICLINK=-static

#############################################################
#
# Flags for building XStreams
#
#############################################################
FLTKFLAGS= $(DEBUG) `fltk-config --cxxflags` $(SQLITE)
FLTKLIBS=/usr/local/lib/libsqlite.a `fltk-config --ldstaticflags`
#############################################################


####################################################
# Platform specific settings, uncomment your own one
####################################################

###############################
# Debian GNU/Linux 3.0
###############################
PLATFORM=-DLINUX
INCLUDE= -I/usr/local/include
LIBPATH= -I/usr/local/lib
PLATFORMLIBS=
PLATFLAGS = -Wall
OPTIMIZE=-O2
CFLAGS= $(DEBUG) $(OPTIMIZE)
POSTBUILD=true
#STATICLINK=-static
PKG=deb

###############################
# NetBSD 1.6.1
###############################
#CXX=CC
#PLATFORM=-DNETBSD
#INCLUDE= -I/usr/local/include
#LIBPATH= -I/usr/local/lib
#PLATFORMLIBS=
#PLATFLAGS = -Wall
#CFLAGS= $(DEBUG) $(OPTIMIZE)
#POSTBUILD=true
#STATICLINK=
#PKG=bsd

###############################
# Sun Solaris 9/8
###############################
#PLATFORM=-DSOLARIS 
#PLATFORMLIBS=-lsocket -lnsl
#INCLUDE=-I/usr/local/include
#LIBPATH=-L/usr/local/lib $(LIBS)
#OPTIMIZE=-O2 -mcpu=ultrasparc
#CFLAGS= $(DEBUG) $(OPTIMIZE)
#POSTBUILD=true
#############################################################
###If you wanna use Sun C compiler uncommment following rules
#############################################################
#CC=cc
#CXX=CC
#OPTIMIZE=-xO3 -xtarget=ultra -xarch=v8 
#CFLAGS= $(DEBUG) $(OPTIMIZE) 
#PLATFLAGS=
#STATICLINK=
#SQLITELIB=/usr/local/lib/libsqlite.a 
#PKG=pkg

###############################
# SunOS 4.1.4
###############################
#CXX=gcc
#PLATFORM=-DSUNOS4
#PLATFORMLIBS=-lnsl
#INCLUDE=-I/usr/local/include
#LIBPATH=-L/usr/local/lib
#OPTIMIZE=
#CFLAGS= $(DEBUG) $(OPTIMIZE)
#SQLITE=
#SQLITELIB=/usr/local/lib/libsqlite.a
#PLATFLAGS=
#POSTBUILD=true
#STATICLINK=
#PKG=portable

###############################
# SGI Irix 6.5.20m
###############################
#PLATFORM=-DIRIX 
#PLATFORMLIBS=
#INCLUDE=-I/usr/freeware/include -I/usr/local/include
#LIBPATH=-L/usr/freeware/lib -I/usr/local/lib /usr/local/lib/libsqlite.a
#SQLITELIB=/usr/local/lib/libsqlite.a 
#CC=cc 
#CXX=cc
#OPTIMIZE=-O3 -mips3 -n32
#CFLAGS= $(DEBUG) $(OPTIMIZE)
#PLATFLAGS=
#STATICLINK=
#PKG=tardist

###############################
# IBM AIX 4.3.3-011/5L
###############################
#PLATFORM=-DAIX 
#PLATFORMLIBS=
#INCLUDE=-I/usr/local/include
#LIBPATH=-L/usr/local/lib
#CC=gcc
#CXX=cc
#PLATFLAGS=
#OPTIMIZE= -O3 -mcpu=powerpc
#CFLAGS= $(DEBUG) $(OPTIMIZE)
#POSTBUILD=true
#STATICLINK=
#PKG=aix

###############################
# HP/UX 11.0 32 bit
###############################
#PLATFORM= -DHPUX
#PLATFORMLIBS=-lnsl
#INCLUDE=-I/usr/local/include
#LIBPATH=-L/usr/local/lib
#CC=gcc
#CXX=cc
##PLATFLAGS=
#OPTIMIZE=-O3
#CFLAGS= $(DEBUG) $(OPTIMIZE)
#POSTBUILD=true
#STATICLINK=
PKG=depot

###############################
# OSX Jaguar 10.2/Panther 10.3
###############################
#PLATFORM= -DOSX
#PLATFORMLIBS=
#INCLUDE=-I/usr/local/include
#LIBPATH=-L/usr/local/lib
#CC=gcc
#CXX=cc
#PLATFLAGS=
#OPTIMIZE=-O3 -mcpu=powerpc
#CFLAGS= $(DEBUG) $(OPTIMIZE)
#POSTBUILD=/Developer/Tools/Rez -t APPL -o
#STATICLINK=
#PKG=native

###############################
# Ultrix (MIPS/VAX) 4.5
###############################
#PLATFORM= -DULTRIX
#PLATFORMLIBS=
#INCLUDE=-I/usr/local/include -I/usr/include 
#LIBPATH=-L/usr/local/lib  -L/usr/lib
#CC=gcc
#CXX=cc
#PLATFLAGS=
#OPTIMIZE=
#CFLAGS= $(DEBUG) $(OPTIMIZE)
#POSTBUILD=true
#STATICLINK=
#PKG=native

###############################
# Tru64/OSF1 4.0/5.1
###############################
#PLATFORM= -DOSF1
#PLATFORMLIBS=
#INCLUDE=-I/usr/include -I/usr/local/include 
#LIBPATH=-L/usr/local/lib 
#CC=cc
#CXX=cc
#PLATFLAGS=
#OPTIMIZE= -O3 
#CFLAGS= $(DEBUG) $(OPTIMIZE)
#POSTBUILD=true
#STATICLINK=
#PKG=native

###############################
# NextStep 3.3/SPARC
###############################
#PLATFORM= -DNEXTSTEP
#PLATFORMLIBS=
#INCLUDE=-I/usr/include -I/usr/local/include 
#LIBPATH=-L/usr/local/lib 
#CC=cc
#CXX=cc
#PLATFLAGS=
#OPTIMIZE=
#CFLAGS= $(DEBUG) $(OPTIMIZE)
#STATICLINK=
#POSTBUILD=true
#PKG=native
